Bug 183400 - [bhyve] bhyve cannot load an i386 kernel
[bhyve] bhyve cannot load an i386 kernel
Status: Closed FIXED
Product: Base System
Classification: Unclassified
Component: kern
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD bugs mailing list
Depends on:
  Show dependency treegraph
Reported: 2013-10-28 15:10 UTC by symbolics
Modified: 2014-08-25 19:01 UTC (History)
2 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description symbolics 2013-10-28 15:10:00 UTC
The boot loader cannot load the i386 kernel. grehan@ states there is some work to do to cover the expectations of the i386 system.
Comment 1 Mark Linimon freebsd_committer 2013-11-18 06:24:25 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-bugs

Comment 2 Eitan Adler freebsd_committer 2013-11-19 03:03:54 UTC
State Changed
From-To: open->closed

Per submitter request
Comment 3 Eitan Adler freebsd_committer 2013-11-19 19:55:43 UTC
State Changed
From-To: closed->open

I misunderstood some followup; back open
Comment 4 Christian Brueffer freebsd_committer 2014-02-07 19:39:13 UTC
State Changed
From-To: open->feedback

Support for booting i386 kernels has been added with r261504 and will be merged 
to 10-STABLE in a while.  Do you think this PR can be closed now?
Comment 5 Gregg Cooper 2014-07-15 14:49:37 UTC
Can someone shepherd this into 10? Would really like to have it in 10.1 ... thanks!
Comment 6 Christian Brueffer freebsd_committer 2014-08-25 19:01:45 UTC
This was merged to 10-STABLE in r267399 and will ship in 10.1-RELEASE.  Enjoy!